description here

author | Andreas Aderhold, andi@binarycloud.com
version | $Id$
package | phing.mappers

### Methods

## The mapper implementation.

    main($_sourceFileName) : array

### Parameters

#### $_sourceFileName

### Returns

`array`The data after the mapper has been applied; must be in array format (for some reason).

## Accessor.

    setFrom(string $from) : void

Sets the from property. What this mapper should recognize. The actual implementation is dependent upon the child class

### Parameters

#### $from

`string`

On what this mapper should work

## Sets the &quot;to&quot; pattern.

    setTo(string $to) : void

Required.

### Parameters

#### $to

`string`

To what this mapper should convert the from string

## _extractVariablePart()

    _extractVariablePart($_name)

### Parameters

#### $_name

### Properties

##

    $fromPostfix

##

    $fromPrefix

##

    $postfixLength

##

    $prefixLength

##

    $toPostfix

##

    $toPrefix